## org.hibernate.envers.configuration.metadata.reader
Class PropertyAuditingData

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.PropertyAuditingData

Direct Known Subclasses:
  ComponentAuditingData

    public class PropertyAuditingData

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`PropertyAuditingData()`
`PropertyAuditingData(String name, String accessType, ModificationStore store, RelationTargetAuditMode relationTargetAuditMode, String auditMappedBy, String positionMappedBy, boolean forceInsertable)`

Method Summary
`void` `addAuditingOverride(AuditOverride annotation)`
`void` `addAuditingOverrides(AuditOverrides annotationOverrides)`
`String` `getAccessType()`
`List<AuditOverride>` `getAuditingOverrides()`
`String` `getAuditMappedBy()`
`String` `getBeanName()`
`AuditJoinTable` `getJoinTable()`
`String` `getMapKey()`
`String` `getName()`
`String` `getPositionMappedBy()`
`PropertyData` `getPropertyData()`
`RelationTargetAuditMode` `getRelationTargetAuditMode()` Get the relationTargetAuditMode property.
`ModificationStore` `getStore()`
`boolean` `isForceInsertable()`
`void` `setAccessType(String accessType)`
`void` `setAuditMappedBy(String auditMappedBy)`
`void` `setBeanName(String beanName)`
`void` `setForceInsertable(boolean forceInsertable)`
`void` `setJoinTable(AuditJoinTable joinTable)`
`void` `setMapKey(String mapKey)`
`void` `setName(String name)`
`void` `setPositionMappedBy(String positionMappedBy)`
`void` `setRelationTargetAuditMode(RelationTargetAuditMode relationTargetAuditMode)` Set the relationTargetAuditMode property value.
`void` `setStore(ModificationStore store)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAuditingData

    public PropertyAuditingData()

### PropertyAuditingData

    public PropertyAuditingData(String name,
                                String accessType,
                                ModificationStore store,
                                RelationTargetAuditMode relationTargetAuditMode,
                                String auditMappedBy,
                                String positionMappedBy,
                                boolean forceInsertable)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getBeanName

    public String getBeanName()

### setBeanName

    public void setBeanName(String beanName)

### getStore

    public ModificationStore getStore()

### setStore

    public void setStore(ModificationStore store)

### getMapKey

    public String getMapKey()

### setMapKey

    public void setMapKey(String mapKey)

### getJoinTable

    public AuditJoinTable getJoinTable()

### setJoinTable

    public void setJoinTable(AuditJoinTable joinTable)

### getAccessType

    public String getAccessType()

### setAccessType

    public void setAccessType(String accessType)

### getPropertyData

    public PropertyData getPropertyData()

### getAuditingOverrides

    public List<AuditOverride> getAuditingOverrides()

### getAuditMappedBy

    public String getAuditMappedBy()

### setAuditMappedBy

    public void setAuditMappedBy(String auditMappedBy)

### getPositionMappedBy

    public String getPositionMappedBy()

### setPositionMappedBy

    public void setPositionMappedBy(String positionMappedBy)

### isForceInsertable

    public boolean isForceInsertable()

### setForceInsertable

    public void setForceInsertable(boolean forceInsertable)

### addAuditingOverride

    public void addAuditingOverride(AuditOverride annotation)

### addAuditingOverrides

    public void addAuditingOverrides(AuditOverrides annotationOverrides)

### getRelationTargetAuditMode

    public RelationTargetAuditMode getRelationTargetAuditMode()

  Get the relationTargetAuditMode property.

  Returns:
    the relationTargetAuditMode property value

### setRelationTargetAuditMode

    public void setRelationTargetAuditMode(RelationTargetAuditMode relationTargetAuditMode)

  Set the relationTargetAuditMode property value.

  Parameters:
    `relationTargetAuditMode` - the relationTargetAuditMode to set

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.